Bug 977885 - Make the jcr2vfs migration tool more user friendly
Make the jcr2vfs migration tool more user friendly
Status: CLOSED NOTABUG
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jervis Liu
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 10:19 EDT by Petr Široký
Modified: 2014-02-21 08:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 05:25:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-06-25 10:19:35 EDT
Note: This is more like enhacement than bug.

Description of problem:
The jcr2vfs migration tool should be IMHO more user friendly. Following things could help with that:

(1) The "runMigration.sh" should accept "-h" parameter that would briefly explain what the tool is intented for, what are the inputs (parameters) and what are the outputs - just basic help.

(2) I am not sure about the default behavior - e.g. expecting the input somewhere and if its not there throw an exception. What about if no parameters are set, just print the help saying that the user needs to specify input jcr repo and output vfs repo (dir)? e.g. the default behavior (if no parameters specified) would be so print the help.

(3) I would suggest to not print exception stacktraces to stdout at all. I agree that the exception is useful for debugging, but it would be better I guess to print it into log file and just print meaningful error message to the stdout.

WDYT?

Version-Release number of selected component (if applicable):
6.0.0-DR5
Comment 2 Petr Široký 2013-06-27 05:25:33 EDT
Closing this issue and moving the discussion to community Jira as that is probably the best place to have the enhancements listed. https://issues.jboss.org/browse/GUVNOR-2020

Note You need to log in before you can comment on or make changes to this bug.